image: fabianm/comp1110-2025-s1-gitlab-ci:0.1.0

stages:
  - compliance
  - build
  - test

compliance:
  tags:
    - comp1110
  stage: compliance
  script:
    - python3 /p2/checkrepofiles.py
  allow_failure: true

build:
  tags:
    - comp1110
  stage: build
  script:
    - /p2/compile.sh
    
  artifacts:
    paths:
      - ./*.class
      
testInterface:
  tags:
    - comp1110
  stage: test
  script:
    - /p2/testinterface.sh
  allow_failure: true

testPermutations:
  tags:
    - comp1110
  stage: test
  script:
    - /p2/runstudenttests.sh Permutations.java
  allow_failure: true
    
testAlarmClock:
  tags:
    - comp1110
  stage: test
  script:
    - /p2/runstudenttests.sh AlarmClock.java
  allow_failure: true
